package cz.upol.jj2.lab07;


import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.scene.text.Text;
import javafx.stage.Stage;

//Application je "vstupni bod" FX aplikaci (tj kazda z ni dedi)
public class Greeter extends Application {

    public static void main(String[] args) {
        launch(args); //launch se postara o spusteni (nachystani vseho potrebneho a zavolani metody start)
    }

    //metoda start spusti nsi aplikaci
    // stage je top-level kontejner, ktery nam pripravi samotna paltforma - tj start bude zavolany s jiz nachystanmy stage
    // my mu doplnime obsah a pote jej zobrazime uzivateli
    @Override
    public void start(Stage stage) throws Exception {
        //zakaldni komponenty
        //popisky
        Text lbInput = new Text("Name:");
        Text lbOutput = new Text("");

        // textovy vstup
        TextField txtInput = new TextField("");

        // tlacitko
        Button btnOk = new Button("Ok");

        // udalost na kliknuti
        btnOk.setOnAction(e -> {
            System.out.println("Hello " + txtInput.getText());
            lbOutput.setText("Hello " + txtInput.getText());
        });


        //layouty
		HBox firstRow = new HBox(10); // sklada komponenty do vodorovne rady
        HBox secondRow = new HBox(10);
		VBox root = new VBox(10); // sklada komponenty do svisle rady
        //FlowPane root = new FlowPane(10, 5); // evkivalent pro flow layout

        firstRow.setAlignment(Pos.CENTER); // zarovnani komponent
        firstRow.getChildren().addAll(lbInput, txtInput, btnOk);

        secondRow.setAlignment(Pos.CENTER);
        secondRow.getChildren().add(lbOutput);

        root.getChildren().addAll(firstRow, secondRow);

        // nyni je vse nachystano, a tedy to umistime do stage (nastavime mu scenu) a ten zobrazime uzivateli
        stage.setTitle("Greeter");
        stage.setScene(new Scene(root, 300, 200)); //scena - obsah okna, root - koren stromu sceny (vsechny prvky ve scene jsou usporadany do stromu)
        stage.show();
    }
}
