package cz.upol.jj2.lab07;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/*
ukazka teze jednoduche aplikace s GUI chystanym pomoci jazyka FXML
a logikou aplikace v prislusnych controllerech
 */
public class PartyFXML extends Application {
	
	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		FXMLLoader loader = new FXMLLoader(PartyFXML.class.getResource("/lab07/MainWindow.fxml"));
		Parent root = loader.load(); 
		
		// provazani controlleru a stage
		PartyFXMLController controller = loader.getController();
		controller.setPrimaryStage(primaryStage);
		
		primaryStage.setTitle("Party");
		primaryStage.setScene(new Scene(root, 400, 300));
		primaryStage.show();
	}
}