package cz.upol.jj2.lab07;

import javafx.collections.ObservableList;
import javafx.fxml.FXML;
import javafx.scene.control.TextField;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class NewGuestController {
	
	private Stage stage;
	private ObservableList<Person> guests;
	
	@FXML private TextField txtName;
	@FXML private TextField txtSurname;
	@FXML private Text lbNotification;

	@FXML public void okAction() {
		if (txtName.getText().trim().equals("") || txtSurname.getText().trim().equals("")) {
			lbNotification.setText("Something is missing");
		} else {
			Person p = new Person(txtName.getText(), txtSurname.getText());
			guests.add(p);
			System.out.println(p.toString() + " arrived!");
			stage.close();
		}
	}

	@FXML public void cancelAction() {
		stage.close();
	}

	public Stage getStage() {
		return stage;
	}

	public void setStage(Stage stage) {
		this.stage = stage;
	}

	public ObservableList<Person> getGuests() {
		return guests;
	}

	public void setGuests(ObservableList<Person> guests) {
		this.guests = guests;
	}
}
